Cancel Heartbeat
curl --request POST \
--url https://api.sx.bet/heartbeatimport requests
url = "https://api.sx.bet/heartbeat"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.sx.bet/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Heartbeat
Cancel Heartbeat
Cancel a registered heartbeat
POST
/
heartbeat
Cancel Heartbeat
To cancel a registered heartbeat, you may use the same request to register a heartbeat but use
The above command returns JSON structured like this
timeoutSeconds=0. This will deactivate the heartbeat and orders will NOT be cancelled automatically.
curl --location --request POST 'https://api.sx.bet/heartbeat' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <YOUR-API-KEY>' \
--data-raw '{
"requestor": "<YOUR-ACCOUNT-ADDRESS>",
"timeoutSeconds": 0
}'
{
"status": "success",
"data": {
"requestor": "<YOUR-ACCOUNT-ADDRESS>",
"timeoutSeconds": 0,
"expiresAt": "2024-11-12T14:35:06.614Z"
}
}
Last modified on March 9, 2026
⌘I
